summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Rodrigo Gimenez2017-05-26 09:03:43 +0200
committer Willy Sudiarto Raharjo2017-05-27 02:31:09 +0200
commit2f1f6e643488807c94a1b2c4f5f45bca5e2768fc (patch)
treec32c101db30cd7d7d4af462cebe118b5153edbfa
parent0317563f374e762314099b1a55e69ecfdf84b390 (diff)
downloadslackbuilds-2f1f6e643488807c94a1b2c4f5f45bca5e2768fc.tar.gz
network/nextcloud-client: Added (Nextcloud Desktop Client).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--network/nextcloud-client/README13
-rw-r--r--network/nextcloud-client/doinst.sh24
-rw-r--r--network/nextcloud-client/nextcloud-client.SlackBuild117
-rw-r--r--network/nextcloud-client/nextcloud-client.info12
-rw-r--r--network/nextcloud-client/nextcloud.desktop8
-rw-r--r--network/nextcloud-client/slack-desc19
6 files changed, 193 insertions, 0 deletions
diff --git a/network/nextcloud-client/README b/network/nextcloud-client/README
new file mode 100644
index 0000000000..906aced1a9
--- /dev/null
+++ b/network/nextcloud-client/README
@@ -0,0 +1,13 @@
+The Nextcloud Client is a file synchronization desktop utility. It synchronizes
+files on your local computer, tablet, or hand-held device with a Nextcloud
+Server. If you make a change to the files on one device, the change is
+propagated to all other synchronized devices using the desktop synchronization
+clients.
+
+Normally, you start the client by clicking on the desktop icon or by starting
+it from the client application menu. After starting, a Nextcloud icon appears
+in the computer system tray or on your tablet or handheld device.
+
+Nextcloud is an actively maintained fork of ownCloud.
+
+This slackbuild will not build against qt5.
diff --git a/network/nextcloud-client/doinst.sh b/network/nextcloud-client/doinst.sh
new file mode 100644
index 0000000000..bb8462acaa
--- /dev/null
+++ b/network/nextcloud-client/doinst.sh
@@ -0,0 +1,24 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config "etc/Nextcloud/sync-exclude.lst.new"
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/network/nextcloud-client/nextcloud-client.SlackBuild b/network/nextcloud-client/nextcloud-client.SlackBuild
new file mode 100644
index 0000000000..50dfc1c88d
--- /dev/null
+++ b/network/nextcloud-client/nextcloud-client.SlackBuild
@@ -0,0 +1,117 @@
+#!/bin/sh
+
+# Slackware build script for nextcloud-client
+
+# Copyright 2013-2016 Christopher Walker Copperas Cove, TX
+# Copyright 2016-2017 Chris Abela <kristofru@gmail.com>, Malta
+# Copyright 2017 Rodrigo Gimenez <estrod@zoho.com>, Argentina
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# This is based on the owncloud-client slackbuild in https://slackbuilds.org
+
+PRGNAM=nextcloud-client
+VERSION=${VERSION:-2.3.1}
+OWNCLOUD_VERSION=2.3.1
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=client_theming
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM
+tar xvf $CWD/client_theming-$VERSION.tar.gz
+mv $SRCNAM-$VERSION $SRCNAM
+cd $SRCNAM
+tar xvf $CWD/client-$OWNCLOUD_VERSION.tar.gz
+rmdir client
+mv client-$OWNCLOUD_VERSION client
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_INSTALL_DOCDIR=/usr/doc/$PRGNAM-$VERSION \
+ -DCMAKE_INSTALL_MANDIR=/usr/man \
+ -DCMAKE_INSTALL_SYSCONFDIR=/etc/$PRGNAM \
+ -DCMAKE_BUILD_TYPE="Release" \
+ -D OEM_THEME_DIR=$(realpath ../nextcloudtheme) \
+ ../client
+ make VERBOSE=1
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+[ -d "$PKG/usr/man" ] && find $PKG/usr/man -type f -exec gzip -9 '{}' \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cat $CWD/nextcloud.desktop > $PKG/usr/share/applications/nextcloud.desktop
+mv $PKG/etc/Nextcloud/sync-exclude.lst $PKG/etc/Nextcloud/sync-exclude.lst.new
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/nextcloud-client/nextcloud-client.info b/network/nextcloud-client/nextcloud-client.info
new file mode 100644
index 0000000000..627ec592d4
--- /dev/null
+++ b/network/nextcloud-client/nextcloud-client.info
@@ -0,0 +1,12 @@
+PRGNAM="nextcloud-client"
+VERSION="2.3.1"
+HOMEPAGE="https://nextcloud.com/"
+DOWNLOAD="https://github.com/nextcloud/client_theming/archive/v2.3.1/client_theming-2.3.1.tar.gz \
+ https://github.com/owncloud/client/archive/v2.3.1/client-2.3.1.tar.gz"
+MD5SUM="56680f5c9a69cedc951cccb820c4107d \
+ 8c06a94c05ad77a24923149b44a10e1f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="qtkeychain"
+MAINTAINER="Rodrigo Gimenez"
+EMAIL="estrod@zoho.com"
diff --git a/network/nextcloud-client/nextcloud.desktop b/network/nextcloud-client/nextcloud.desktop
new file mode 100644
index 0000000000..d97f5890da
--- /dev/null
+++ b/network/nextcloud-client/nextcloud.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=Nextcloud desktop sync client
+Comment=Nextcloud desktop sync client
+Exec=/usr/bin/nextcloud
+Icon=Nextcloud
+Type=Application
+GenericName=Folder Sync
+Categories=Network;FileTransfer;Cloud;Sync;
diff --git a/network/nextcloud-client/slack-desc b/network/nextcloud-client/slack-desc
new file mode 100644
index 0000000000..76d70047e1
--- /dev/null
+++ b/network/nextcloud-client/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+nextcloud-client: nextcloud-client (Nextcloud Desktop Client)
+nextcloud-client:
+nextcloud-client: The Nextcloud Client is a file synchronization desktop utility. It
+nextcloud-client: synchronizes files on your local computer, tablet, or hand-held
+nextcloud-client: device with a Nextcloud Server. If you make a change to the files on
+nextcloud-client: one device, the change is propagated to all other synchronized
+nextcloud-client: devices using the desktop synchronization clients.
+nextcloud-client:
+nextcloud-client: Nextcloud is an actively maintained fork of ownCloud.
+nextcloud-client:
+nextcloud-client: Homepage: http://nextcloud.com/